<template>
  <nav>
    <button
      class="show"
      @click="showMenu()"
      v-bind:style="{transform :'rotate('+this.turn+'deg)'}"
    >|||</button>
    <section class="nav" v-show="menuHasShow">
      <v-btn flat color="gray" class="my-acount" @click="goToHomePage">Home</v-btn>

      <v-btn flat color="gray" class="my-acount" @click="goToProductPage">Lista de Productos</v-btn>
      <v-btn flat color="gray" class="my-acount" @click="goToPromosPage">Lista de Promos</v-btn>

      <v-btn
        flat
        color="gray"
        v-if="role == 'admin' || role == 'vendedor'"
        class="my-acount"
        @click="goToUsersAcounts"
      >Perfiles de usuarios</v-btn>

      <v-btn
        flat
        color="gray"
        v-if="role == 'admin' || role == 'vendedor'"
        class="my-acount"
        @click="goToDashBoard"
      >Administrador</v-btn>

      <v-btn
        v-show="idActualUser === ''"
        mall
        color="gray"
        class="addUser"
        @click="goToRegisterPage"
      >Registrar</v-btn>
      <v-btn v-show="idActualUser === ''" color="gray" class="loging" @click="showLogingPage">Login</v-btn>
      <v-btn
        v-show="role == 'normal'"
        mall
        color="gray"
        class="my-acount"
        @click="goToUserPanelPage"
      >Mi Cuenta</v-btn>
    </section>
  </nav>
</template>

<script>
export default {
  name: 'NavBArComponent',
  props: {
    idActualUser: String,
    role: String
  },
  data() {
    return {
      drawer: false,
      turn: 90,
      menuHasShow: true
    }
  },
  mounted() {
    this.verifyScreenWidth()
  },
  methods: {
    verifyScreenWidth() {
      var mq = window.matchMedia('(max-width: 800px)')
      if (mq.matches) {
        // window width is at less than 570px
        this.menuHasShow = false
      } else {
        // window width is greater than 570px
        this.menuHasShow = true
      }
    },
    goToProductPage() {
      var mq = window.matchMedia('(max-width: 800px)')
      if (mq.matches) {
        this.showMenu()
      }
      if (this.idActualUser === '') {
        this.$router.push('/productList')
      } else {
        let idActualUser = this.idActualUser
        this.$router.push('/productList/' + idActualUser)
      }
    },
    goToPromosPage() {
      var mq = window.matchMedia('(max-width: 800px)')
      if (mq.matches) {
        this.showMenu()
      }
      if (this.idActualUser === '') {
        this.$router.push('/promosList')
      } else {
        let idActualUser = this.idActualUser
        this.$router.push('/promosList/' + idActualUser)
      }
    },
    goToUsersAcounts() {
      var mq = window.matchMedia('(max-width: 800px)')
      if (mq.matches) {
        this.showMenu()
      }
      let idActualUser = this.idActualUser
      this.$router.push('/userList/' + idActualUser)
    },
    goToDashBoard() {
      var mq = window.matchMedia('(max-width: 800px)')
      if (mq.matches) {
        this.showMenu()
      }
      let idActualUser = this.idActualUser
      this.$router.push('/DashBoard/' + idActualUser)
    },
    goToHomePage() {
      var mq = window.matchMedia('(max-width: 800px)')
      if (mq.matches) {
        this.showMenu()
      }
      let idActualUser = this.idActualUser
      this.$router.push('/home/' + idActualUser)
    },
    goToUserPanelPage() {
      var mq = window.matchMedia('(max-width: 800px)')
      if (mq.matches) {
        this.showMenu()
      }
      let idActualUser = this.idActualUser
      this.$router.push('/UserPanelControlPage/' + idActualUser)
    },
    goToRegisterPage() {
      var mq = window.matchMedia('(max-width: 800px)')
      if (mq.matches) {
        this.showMenu()
      }
      this.$router.push('/add-user')
    },
    showLogingPage() {
      var mq = window.matchMedia('(max-width: 800px)')
      if (mq.matches) {
        this.showMenu()
      }
      this.$emit('show-login-page-event')
    },
    showMenu() {
      this.menuHasShow = !this.menuHasShow
      if (this.menuHasShow === true) {
        this.turn = 0
      } else {
        this.turn = 90
      }
    }
  }
}
</script>

<style scoped>
.nav {
  display: flex;
  flex-direction: row;
  justify-content: space-evenly;
}
img {
  width: 50px;
}
.show {
  display: none;
}

@media only screen and (max-width: 800px) {
  .show {
    display: inline;
  }

  .nav {
    flex-direction: column;
    margin-right: 14%;
    margin-left: 14%;
  }
}
</style>
